Bug 170716 - Missing dep perl(XML::DOM), need perl-XML-RegExp and perl-XML-DOM in Extras
Missing dep perl(XML::DOM), need perl-XML-RegExp and perl-XML-DOM in Extras
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-Template-Toolkit (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On: 172331
Blocks: FE5Target
  Show dependency treegraph
 
Reported: 2005-10-13 19:48 EDT by Jef Spaleta
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-09 16:39:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2005-10-13 19:48:11 EDT
Description of problem:
yum install  perl-Template-Toolkit
dep error nothing provides perl(XML::DOM)

perl-libxml-enno removed from Core as of 20050921

Found this while trying to do the review for Sprog 
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=166255

Any chance this could be fixed soonish?
-jef
Comment 1 Dave Cross 2005-10-14 14:38:30 EDT
I don't know much (if anything) about FC packaging rules, but I know the
Template Toolkit and there's no reason for TT to have a dependency on XML::DOM.
TT will always install Template::Plugin::XML::DOM, but will only make use of it
if XML::DOM is installed. You can install TT from CPAN without XML::DOM
installed, so I don't see why it's a requirement for an RPM installation.

The same is true of all of the Template Plugins that are distributed as part of
the standard TT package.

Dave...
Comment 2 Tom "spot" Callaway 2005-10-14 14:56:58 EDT
But, without XML::DOM, the Template::Plugin::XML::DOM will not do anything. The
rpm requirements are designed so that when you install TT, you get all the bits
to make it fully functional.
Comment 3 Dave Cross 2005-10-15 02:23:08 EDT
That's true of course. But the same is also true of the dozen or do
Template::Plugin modules that are bundled with TT. I really don't think that you
want to force people to install all of those optional modules as well.

I don't have any firm figures of course, but I suspect that only a tiny
percentage of TT users make use of the XML::DOM plugin. Personally I find the
XML::XPath plugin or the (separately available) XML::LibXML plugin to be much
more useful when I'm processing XML.

When you install TT from CPAN it displays a list of Plugins and tells you which
ones will work (as you have the underlying modules installed) and which other
modules you would need to install in order to activate the other ones. Is it
possible to do something similar during the RPM installation?

Dave...
Comment 4 Ville Skyttä 2005-10-15 04:25:57 EDT
This is fallout from bug 128879.  FWIW, I don't think it should be "fixed" in  
perl-Template-Toolkit, but someone should just package perl-XML-RegExp and  
perl-XML-DOM in Extras instead.  
Comment 5 Dave Cross 2005-10-15 05:48:46 EDT
I think that the xml-enno/XML::DOM split is a complete red herring. The
perl-Template-Toolkit RPM should not be dependent on other RPMs that aren't
necessary for its use.

Dave...
Comment 6 Jef Spaleta 2005-10-15 10:17:33 EDT
(In reply to comment #4)
> This is fallout from bug 128879.  FWIW, I don't think it should be "fixed" in  
> perl-Template-Toolkit, but someone should just package perl-XML-RegExp and  
> perl-XML-DOM in Extras instead.  

That sounds perfectly reasonable... I'm all for the least path of resistance
towards a solution.

Spot, are you willing and able to spin up the perl-XML-RegExp and  perl-XML-DOM
as part of extras as the near term 'fix'?  

-jef
Comment 7 Ville Skyttä 2005-10-27 15:09:38 EDT
More info in bug 128879 comment 9. 
Comment 8 Ville Skyttä 2005-11-09 16:39:41 EST
Should be fixed now (bug 172331). 

Note You need to log in before you can comment on or make changes to this bug.